Subject: [bmwg] Fwd: New Version Notification for draft-lencse-bmwg-benchmarking-stateful-01.txt

From: Gábor LENCSE <[email-masked]>
Date: Fri, 27 Aug 2021 11:39:00 +0200

Dear Al and BMWG Members,

First of all, thank you very much for the opportunity to present our 
draft about "Benchmarking Methodology for Stateful NATxy Gateways using 
RFC 4814 Pseudorandom Port Numbers" at IETF 111.

Then I promised an update of the draft based on the comments on the 
mailing list before IETF 111. Now I have uploaded that update. We thank 
everybody for their comments and hope that we could successfully address 
them.

We would be happy to receive more comments!

Meanwhile, we are getting more and more experience with our proposed 
benchmarking method and its implementation in the stateful branch of 
siitperf (especially regarding the benchmarking of the "iptables" 
stateful NAT44 implementation), because I have started performing 
scale-up measurements for 
https://datatracker.ietf.org/doc/html/draft-ietf-v6ops-transition-comparison 

As you can see, that draft is a WG item of the "IPv6 Operations" Working 
Group (v6ops). The aim of that measurements is to examine the 
scalability of stateful NAT64 (also stateful NAT44) technology. As for 
the proper choice of the parameters for the tests, it is the competence 
of the v6ops WG. However, the methodology belongs to BMWG.
Please see the report of some preliminary results here: 
https://mailarchive.ietf.org/arch/msg/v6ops/v6dbCBV0F7oww3Zi1kcO-3-odOQ/

I have a question regarding the proper handling of this issue: Shall I 
crosspost my v6ops e-mails about the scalability tests to bmwg in the 
future?

Best regards,

Gábor

-------- Továbbított üzenet --------
Tárgy: 	New Version Notification for 
draft-lencse-bmwg-benchmarking-stateful-01.txt
Dátum: 	Fri, 27 Aug 2021 02:04:53 -0700
Feladó: 	[email-masked]
Címzett: 	Gabor Lencse <[email-masked]>, Keiichi Shima <[email-masked]>

A new version of I-D, draft-lencse-bmwg-benchmarking-stateful-01.txt
has been successfully submitted by Gabor Lencse and posted to the
IETF repository.

Name: draft-lencse-bmwg-benchmarking-stateful
Revision: 01
Title: Benchmarking Methodology for Stateful NATxy Gateways using RFC 
4814 Pseudorandom Port Numbers
Document date: 2021-08-27
Group: Individual Submission
Pages: 14
URL: 
https://www.ietf.org/archive/id/draft-lencse-bmwg-benchmarking-stateful-01.txt
Status: 
https://datatracker.ietf.org/doc/draft-lencse-bmwg-benchmarking-stateful/
Htmlized: 
https://datatracker.ietf.org/doc/html/draft-lencse-bmwg-benchmarking-stateful
Diff: 
https://www.ietf.org/rfcdiff?url2=draft-lencse-bmwg-benchmarking-stateful-01

Abstract:
RFC 2544 has defined a benchmarking methodology for network
interconnect devices. RFC 5180 addressed IPv6 specificities and it
also provided a technology update, but excluded IPv6 transition
technologies. RFC 8219 addressed IPv6 transition technologies,
including stateful NAT64. However, none of them discussed how to
apply RFC 4814 pseudorandom port numbers to any stateful NAT (NAT44,
NAT64, NAT66) technologies. We discuss why using pseudorandom port
numbers with stateful NAT gateways is a hard problem and recommend a
solution.

The IETF Secretariat

---

From: "MORTON JR., AL" <[email-masked]>
Date: Fri, 27 Aug 2021 15:07:07 +0000

Hi Gábor,

you wrote:
I have a question regarding the proper handling of this issue: Shall I crosspost my v6ops e-mails about the scalability tests to bmwg in the future?

I have no objection to that, as long as the traffic level is reasonable (like other projects).

thanks,
Al

From: bmwg <[email-masked]> On Behalf Of Gábor LENCSE
Sent: Friday, August 27, 2021 5:39 AM
To: [email-masked]
Subject: [bmwg] Fwd: New Version Notification for draft-lencse-bmwg-benchmarking-stateful-01.txt

First of all, thank you very much for the opportunity to present our draft about "Benchmarking Methodology for Stateful NATxy Gateways using RFC 4814 Pseudorandom Port Numbers" at IETF 111.

Then I promised an update of the draft based on the comments on the mailing list before IETF 111. Now I have uploaded that update. We thank everybody for their comments and hope that we could successfully address them.

Meanwhile, we are getting more and more experience with our proposed benchmarking method and its implementation in the stateful branch of siitperf (especially regarding the benchmarking of the "iptables" stateful NAT44 implementation), because I have started performing scale-up measurements for https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/html/draft-ietf-v6ops-transition-comparison__;!!BhdT!zXyS_nMHIEsx62wYa1FodqhtHgg4Tu6bIbtCRzsjl2z7-6t18P4O1P3nmV-l$ 
As you can see, that draft is a WG item of the "IPv6 Operations" Working Group (v6ops). The aim of that measurements is to examine the scalability of stateful NAT64 (also stateful NAT44) technology. As for the proper choice of the parameters for the tests, it is the competence of the v6ops WG. However, the methodology belongs to BMWG.
Please see the report of some preliminary results here: https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/v6ops/v6dbCBV0F7oww3Zi1kcO-3-odOQ/__;!!BhdT!zXyS_nMHIEsx62wYa1FodqhtHgg4Tu6bIbtCRzsjl2z7-6t18P4O1Fzy4CQ4$

I have a question regarding the proper handling of this issue: Shall I crosspost my v6ops e-mails about the scalability tests to bmwg in the future?

Best regards,

Gábor

-------- Továbbított üzenet -------- 
Tárgy: 
New Version Notification for draft-lencse-bmwg-benchmarking-stateful-01.txt
Dátum: 
Fri, 27 Aug 2021 02:04:53 -0700
Feladó: 
mailto:[email-masked]
Címzett: 
Gabor Lencse mailto:[email-masked], Keiichi Shima mailto:[email-masked]